
package com.tmerclub.cloud.common.leaf.constant;

/**
 * 全局的分布式id键
 * 多个模块共用的
 * 不要直接使用这里面的常量，可以通过赋值给DistributedIdKey中的常量
 *
 * @author tmerclub
 * @date 2021/4/9
 */
public enum GlobalDistributedIdKey {

    /**
     * 订单号
     */
    tmerclub_ORDER("tmerclub-order"),

    /**
     * 退款单号
     */
    tmerclub_REFUND("tmerclub-refund"),

    /**
     * 钱包日志id
     */
    tmerclub_SHOP_WALLET_LOG("tmerclub-shop-wallet-log"),

    /**
     * 库存入库单号
     */
    tmerclub_PRODUCT_STOCK_IN("tmerclub-product-stock-in"),

    /**
     * 库存出库单号
     */
    tmerclub_PRODUCT_STOCK_OUT("tmerclub-product-stock-out"),

    /**
     * 库存出入库日志id
     */
    tmerclub_STOCK_BILL_LOG("tmerclub-stock-bill-log"),

    /**
     * 库存点id
     */
    tmerclub_STOCK_POINT("tmerclub-stock-point");

    private final String key;


    public String value() {
        return key;
    }

    GlobalDistributedIdKey(String key) {
        this.key = key;
    }

    public static boolean containKey(String value) {
        GlobalDistributedIdKey[] enums = values();
        for (GlobalDistributedIdKey globalDistributedIdKey : enums) {
            if (globalDistributedIdKey.key.equals(value)) {
                return true;
            }
        }
        return false;
    }

}
